import { redirect } from "next/navigation";

import { BoardIdClient } from "./client";
import { getCurrent } from "@/features/auth/queries";

const BoardIdPage = async () => {
  const user = await getCurrent();
  if (!user) redirect("/sign-in");

  return <BoardIdClient />
};

export default BoardIdPage; 